PGAGetBinaryAllele(1)

NAME
PGAGetBinaryAllele - returns the value of a (binary) allele in a PGA_DATATYPE_BINARY string

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population the string is in
i   - allele index

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetBinaryAllele(ctx, p, pop, i)
PGAContext *ctx
int p
int pop
int i

LOCATION
binary.c

EXAMPLE
Example:
Copies the alleles from member p in PGA_OLDPOP to member q PGA_NEWPOP.
Assumes the strings are of the same length.

PGAContext *ctx;
int p, q, i;
:
for (i=PGAGetStringLength(ctx)-1; i>=0; i--)
PGASetBinaryAllele(ctx, q, PGA_NEWPOP, i,
PGAGetBinaryAllele(ctx, p, PGA_OLDPOP, i))